<mat-toolbar align="right">
  <span class="spacer"></span>
  <button mat-raised-button aria-label="Go to today view" (click)="initialDatePage()">Today</button>
  <span class="button-spacer"></span>
  <span>
    <input matInput [matDatepicker]="navPicker" class="navigation-date-picker" (dateInput)="specificStartDatePage($event.value)">
    <mat-datepicker #navPicker startView="month" [startAt]="startDate"></mat-datepicker>
    <button mat-raised-button (click)="navPicker.open()" *ngIf="!isDateRangeInSameMonth">
      {{startDate | date:"MMMM"}} - {{startDatePlusSix | date:"MMMM"}}
      <mat-icon>arrow_drop_down</mat-icon>
    </button>
    <button mat-raised-button (click)="navPicker.open()" *ngIf="isDateRangeInSameMonth">
      {{startDate | date:"MMMM"}}
      <mat-icon>arrow_drop_down</mat-icon>
    </button>
  </span>
  <span class="button-spacer"></span>
  <button mat-icon-button aria-label="Seven days backwards" (click)="previousDatePage()">
    <mat-icon>keyboard_arrow_left</mat-icon>
  </button>
  <button mat-icon-button aria-label="Seven days forwards" (click)="nextDatePage()">
    <mat-icon>keyboard_arrow_right</mat-icon>
  </button>
</mat-toolbar>
<div class="container-fluid">
  <div class="row h-100">
    <div [ngClass]="{'col-3': isStartDateToday, 'col-2': !isStartDateToday}" class="grid">
      <app-calendar-card [date]="startDate" [taskList]="taskList1.list">
        <div
          cdkDropList
          #taskDropList1="cdkDropList"
          [cdkDropListData]="taskList1.list"
          [cdkDropListConnectedTo]="[taskDropList2, taskDropList3, taskDropList4, taskDropList5, taskDropList6, taskDropList7]"
          class="task-list"
          (cdkDropListDropped)="drop($event, startDate)">
          <div matRipple class="task" *ngFor="let task of taskList1.list" cdkDrag
               (click)="openTaskDetailsDialog(task, taskList1)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
            {{task.title}}
          </div>
        </div>
      </app-calendar-card>
    </div>
    <div [ngClass]="{'col-9': isStartDateToday, 'col-10': !isStartDateToday}">
      <div class="row h-100">
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusOne" [taskList]="taskList2.list">
            <div
              cdkDropList
              #taskDropList2="cdkDropList"
              [cdkDropListData]="taskList2.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList3, taskDropList4, taskDropList5, taskDropList6, taskDropList7]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusOne)">
              <div matRipple class="task" *ngFor="let task of taskList2.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList2)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusTwo" [taskList]="taskList3.list">
            <div
              cdkDropList
              #taskDropList3="cdkDropList"
              [cdkDropListData]="taskList3.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList2, taskDropList4, taskDropList5,taskDropList6, taskDropList7]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusTwo)">
              <div matRipple class="task" *ngFor="let task of taskList3.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList3)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusThree" [taskList]="taskList4.list">
            <div
              cdkDropList
              #taskDropList4="cdkDropList"
              [cdkDropListData]="taskList4.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList2,taskDropList3, taskDropList5, taskDropList6, taskDropList7]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusThree)">
              <div matRipple class="task" *ngFor="let task of taskList4.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList4)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusFour" [taskList]="taskList5.list">
            <div
              cdkDropList
              #taskDropList5="cdkDropList"
              [cdkDropListData]="taskList5.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList2, taskDropList3, taskDropList4, taskDropList6, taskDropList7]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusFour)">
              <div matRipple class="task" *ngFor="let task of taskList5.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList5)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusFive" [taskList]="taskList6.list">
            <div
              cdkDropList
              #taskDropList6="cdkDropList"
              [cdkDropListData]="taskList6.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList2, taskDropList3, taskDropList4, taskDropList5, taskDropList7]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusFive)">
              <div matRipple class="task" *ngFor="let task of taskList6.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList6)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
        <div class="col-2 grid">
          <app-calendar-card [date]="startDatePlusSix" [taskList]="taskList7.list">
            <div
              cdkDropList
              #taskDropList7="cdkDropList"
              [cdkDropListData]="taskList7.list"
              [cdkDropListConnectedTo]="[taskDropList1, taskDropList2, taskDropList3, taskDropList4, taskDropList5, taskDropList6]"
              class="task-list"
              (cdkDropListDropped)="drop($event, startDatePlusSix)">
              <div matRipple class="task" *ngFor="let task of taskList7.list" cdkDrag
                   (click)="openTaskDetailsDialog(task, taskList7)"
               [ngClass]="{'task-due': task.isDueToday, 'task-due-tomorrow': task.isDueTomorrow}">
                {{task.title}}
              </div>
            </div>
          </app-calendar-card>
        </div>
      </div>
    </div>
  </div>
</div>
